<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <script>
            const products = [
                {title: 'Burger', price: 121},
                {title: 'Pizza', price: 20}
            ]
            const app = document.getElementById('app')
            products.forEach(product => {
                app.innerHTML += `<li>${product.title} - ${product.price}</li>`
            })
        </script>
    </div>

    <div id="list">
        <script>
            const tareas = [
                {value: 'A', detail: 'tarea A'},
                {value: 'B', detail: 'tarea B'},
                {value: 'C', detail: 'tarea C'},
                {value: 'D', detail: 'tarea D'},
                {value: 'E', detail: 'tarea E'},
                {value: 'F', detail: 'tarea F'},
            ]
            const list = document.getElementById('list')
            tareas.forEach((tarea, i) => {
                list.innerHTML += `<li><input type="checkbox" id="${i}" value="${tarea.value}"> ${tarea.detail}</li`
            })
        </script>
    </div>
</body>
</html>